<?php
namespace Asalae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * MessageIndicatorsFixture
 */
class MessageIndicatorsFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [// id=1
                'message_date' => '2021-12-09',
                'message_type' => 'IN_TRANSFER',
                'message_count' => 1,
                'accepted' => true,
                'derogation' => false,
                'validation_duration' => 526,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 2,
                'original_files_count' => 1,
                'original_files_size' => 554297,
                'agreement_id' => null,
                'profile_id' => null,
            ],
            [// id=2
                'message_date' => '2021-12-09',
                'message_type' => 'IN_TRANSFER',
                'message_count' => 1,
                'accepted' => false,
                'derogation' => false,
                'validation_duration' => 870,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 2,
                'original_files_count' => 0,
                'original_files_size' => 0,
                'agreement_id' => null,
                'profile_id' => null,
            ],
            [// id=3
                'message_date' => '2021-12-09',
                'message_type' => 'IN_TRANSFER',
                'message_count' => 1,
                'accepted' => true,
                'derogation' => false,
                'validation_duration' => 3,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'original_files_count' => 1,
                'original_files_size' => 5,
                'agreement_id' => 2,
                'profile_id' => 1,
            ],
            [// id=4
                'message_date' => '2021-12-09',
                'message_type' => 'DELIVERY',
                'message_count' => 1,
                'accepted' => true,
                'derogation' => false,
                'validation_duration' => 146,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 2,
                'original_files_count' => 1,
                'original_files_size' => 554297,
                'agreement_id' => null,
                'profile_id' => null,
            ],
            [// id=5
                'message_date' => '2021-12-09',
                'message_type' => 'IN_TRANSFER',
                'message_count' => 1,
                'accepted' => true,
                'derogation' => false,
                'validation_duration' => 1,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'original_files_count' => 1,
                'original_files_size' => 5,
                'agreement_id' => 2,
                'profile_id' => 1,
            ],
            [// id=6
                'message_date' => '2021-12-09',
                'message_type' => 'DESTRUCTION',
                'message_count' => 1,
                'accepted' => true,
                'derogation' => false,
                'validation_duration' => 33,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'original_files_count' => 1,
                'original_files_size' => 5,
                'agreement_id' => 2,
                'profile_id' => 1,
            ],
            [// id=7
                'message_date' => '2021-12-09',
                'message_type' => 'IN_TRANSFER',
                'message_count' => 1,
                'accepted' => true,
                'derogation' => false,
                'validation_duration' => 1,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'original_files_count' => 1,
                'original_files_size' => 5,
                'agreement_id' => 2,
                'profile_id' => 1,
            ],
            [// id=8
                'message_date' => '2021-12-09',
                'message_type' => 'RESTITUTION',
                'message_count' => 1,
                'accepted' => true,
                'derogation' => false,
                'validation_duration' => 104,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'original_files_count' => 1,
                'original_files_size' => 5,
                'agreement_id' => 2,
                'profile_id' => 1,
            ],
            [// id=9
                'message_date' => '2021-12-09',
                'message_type' => 'IN_TRANSFER',
                'message_count' => 1,
                'accepted' => true,
                'derogation' => false,
                'validation_duration' => 1,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'original_files_count' => 1,
                'original_files_size' => 5,
                'agreement_id' => 2,
                'profile_id' => 1,
            ],
            [// id=10
                'message_date' => '2021-12-09',
                'message_type' => 'OUT_TRANSFER',
                'message_count' => 1,
                'accepted' => true,
                'derogation' => false,
                'validation_duration' => 9,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'original_files_count' => 1,
                'original_files_size' => 5,
                'agreement_id' => 2,
                'profile_id' => 1,
            ],
        ];
        parent::init();
    }
}
